﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;
using Infragistics.Win;

namespace WindowsFormsApplication12
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraToolbarsManager1.CreationFilter = new CreatingUIElement();
        }
    }

    public class CreatingUIElement : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            QatQuickCustomizeToolUIElement El = parent as QatQuickCustomizeToolUIElement;
            if (El != null)
            {
                El.Rect = new Rectangle(El.Rect.X, El.Rect.Y, 0, 0);
            }
        }
       
        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
